PHP Manual
Prev |  | Next

# HaruDoc::setEncryptionMode

(no version information, might be only in CVS)

HaruDoc::setEncryptionMode -- Set encryption mode for the document

## Description

bool HaruDoc::setEncryptionMode ( int mode [, int key_len] )

Defines encryption mode for the document. The encryption mode cannot be set before setting the password.

## Parameters

`mode`

  The encryption mode to use. Can be one of the following:

  `HaruDoc::ENCRYPT_R2` - use "revision2" algorithm.
  `HaruDoc::ENCRYPT_R3` - use "revision3" algorithm. Using this value bumps the version of PDF to 1.4.

`key_len`

  The encryption key length in bytes. This parameter is optional and used only when mode is `HaruDoc::ENCRYPT_R3`. The default value is 5 (40bit).

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::setPassword()
HaruDoc::setPermission()

Prev | Home | Next
HaruDoc::setCurrentEncoder | Up | HaruDoc::setInfoAttr